## node-speech-rule-engine 4.0.7%2B~0.1.31

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	make all JSON_MINIFY=./debian/build_modules/json-minify/index.js
	make publish
	tsc
	webpack

override_dh_installdocs:
	dh_installdocs
	dh_nodejs_autodocs
