=== debian/changelog ===
node-speech-rule-engine (4.0.7+~0.1.31-2) unstable; urgency=medium

  * Source-only upload

 -- Yadd <yadd@debian.org>  Fri, 20 Oct 2023 07:17:07 +0400

node-speech-rule-engine (4.0.7+~0.1.31-1) unstable; urgency=medium

  * Initial release (Closes: #1052075)

 -- Yadd <yadd@debian.org>  Sun, 17 Sep 2023 04:18:49 +0400
