=== debian/control ===
Source: node-speech-rule-engine
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs
 , dh-nodejs
 , node-rollup-plugin-commonjs
 , node-rollup-plugin-node-resolve
 , node-rollup-plugin-terser
 , node-typescript
 , rollup
 , webpack
Standards-Version: 4.6.2
Homepage: https://github.com/zorkow/speech-rule-engine
Vcs-Git: https://salsa.debian.org/js-team/node-speech-rule-engine.git
Vcs-Browser: https://salsa.debian.org/js-team/node-speech-rule-engine
Rules-Requires-Root: no

Package: node-speech-rule-engine
Architecture: all
Depends:
 ${misc:Depends}
 , node-commander
 , nodejs:any
Provides: ${nodejs:Provides}
Description: NodeJS version of the ChromeVox speech rule engine
 node-speech-rule-engine (SRE) can translate XML expressions into speech
 strings according to rules that can be specified in a syntax using Xpath
 expressions.
