=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.+\/v?(\d\S+)@ARCHIVE_EXT@/speech-rule-engine-$1\.tar\.gz/ \
 https://github.com/zorkow/speech-rule-engine/tags .*/v?(\d[\d\.]*)\.tar\.gz group

opts=\
searchmode=plain,\
component=xmldom-sre,\
ctype=nodejs,\
pgpmode=none,\
filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-xmldom-sre-$1/ \
 https://registry.npmjs.org/xmldom-sre https://registry.npmjs.org/xmldom-sre/-/xmldom-sre-([\d\.]+)@ARCHIVE_EXT@ group
